Getting Started

Deepnet Explorer - Help Guide

Deepnet Explorer is an advanced web browser that lets you browse the web faster while simultaneously sharing files using P2P technology. Built with Tab browsing, Pop-up Blocking, Mouse Gestures, Auto Login/Auto Fill and other versatile features, it sets the standard for fast, convenient web browsing.

Features:

  • Tabbed browsing: display multiple pages in separate tabs. Open links in background “tabs” while you’re reading a web page, then when you’re done click on the tabs to view different pages.

  • Multi start page: load multiple start pages when you launch your browser

  • Built-in Pop Blocker: eliminate annoying pop advertising when you visit websites

  • Mouse Gestures: Use your mouse to move forward/back between pages, refresh your screen, and move to different tabs.

  • Super Drag & Drop : drag and drop a link to open it in the background

  • Built-in Search Engine: type a search term into your browser address bar and click search to view relevant search results.

  • Auto Login: store and retrieve website login details automatically

  • Auto Form Fill: automatically fill online forms without typing your details, to save the hassle of repeatedly filling in your details.

  • Keyword Navigation: Navigate to websites using brand names and everyday day terms instead of confusing web addresses.

  • P2P File Sharing: Share and download files with millions of users on the Gnutella P2P network while you browse the web and check the latest news.

  • RSS/Atom News Reader: Subscribe to your favorite news feeds and let the news reader compile and display the latest news on one screen.


Browsing the web


Finding the web pages you want

To start browsing the web type a website address into the browser address bar, or click on any link on your home page.


Setting multiple start up pages

If you check more than one website whenever you start up your browser, you can save yourself some time by setting up multiple start up pages. Deepnet Explorer automatically opens the page you select whenever you launch the browser.

  • To open multiple pages whenever you start Deepnet Explorer navigate to the page you want to view on startup. Click Favorites > Add to Start Pages from the browser menu then click Yes to confirm you would like to add the page. When you next open your browser the page will display automatically.


Opening multiple web pages in tabs

Deepnet Explorer’s tab interface lets you open multiple pages in separate tabbed windows, so you click from one tab to another to view different pages quickly and easily. This “Tab Browsing” saves you time as you open multiple pages in the background while you finish reading your current page.

There are three ways to view a page in a new window/tab:

  • type a web address in browser address bar and press enter or click the go button

  • hold your mouse button over a link then drag and drop the link

  • move your mouse cursor over a link, right click and select “Open in New Window” from the menu


Closing web pages in tabs/windows

There are three ways to close a tab:

  • Double click the tab containing the web page

  • mouse cursor over the tab, right click and select Close from the menu

  • to close multiple tabs at once, move your mouse cursor over a tab, right click and select Windows from the menu. A screen listing all the tabs open should display. Highlight the tabs you wish to close and hit the Close Window button.


Storing your favourite web pages

When you find Web sites or pages that you like, you store them as favourites, so it's easy to find them again in the future.

  • To add a Web page to your list of favorite pages, click Favourites > Add to favourites from the browser menu. Any time you want to open that page, just click the Favorites button on the toolbar, and then click the shortcut in the Favorites list.

  • If there is one page you visit most, you can make it your home page so that it appears every time you start Deepnet Explorer or click the Home button on the toolbar.

Note

  • If you forget to add Web pages to your Favorites, click the History button on the toolbar. The History list shows where you've been—today, yesterday, or a few weeks ago. Click a name from the list to display the page.


Mouse gestures

Now you can control your browser more easily with your mouse. To command your browser using mouse gestures, hold your right mouse button down, move your mouse cursor in a specific direction, and release the button. Try these simple movements remembering to press your right mouse button:


Mouse Shortcuts

Try these simple shortcuts to control display of pops and tabs:

Action | Mouse Shortcut
Let a pop-up display on a one-time basis | Press and hold the CTRL key as you click on a link to navigate to a new page.
To open a link in a new window in the background | Press and hold the CTRL key as you drag a link and drop it anywhere in the page.
To close a tab | Double click the tab you wish to close


Super Drag & Drop

Another advanced mouse feature, drag and drop lets you open a link in a new tab/window using your mouse, so you can view multiple pages without losing the page you are currently on.

  • To open a link in a new page, move your mouse cursor over a link then drag and drop the link into the page. The link will open in a new window.


Built-in Search

To help you find things on the internet, the built-in search feature provides instant access to XPSN search results. Deepnet Explorer also provides one-click access to other major search engines like Google, MSN, and Yahoo.

  • To view search results, type a search term into your browser address bar and hit ENTER or click the Search button.


Auto Login

Auto login lets you automatically store and retrieve login names and passwords for websites you select. It’s great if you have too many site logins to remember.

Your details are stored securely on your local hard drive, and are protected with 128-bit encryption technology. To further boost security, you can also set a master password that must be entered before retrieving login details for chosen sites.

Auto Login is also fully customizable allowing you to edit login details, enable/disable password protection for individual logins, and delete logins you no longer use.


Storing login details

Auto Login will automatically display a prompt asking if you want to store login details when you submit them on a website. If you do want to store details, then click Yes. If you would prefer not to store details click No.

The Auto Login prompt will not display automatically for login page pages it doesn’t recognize. You also won’t receive a prompt if you’ve disabled the Auto Login feature for a specific page, or all pages.

To store login details manually fill out the login form as would normally, but before logging in select Tools > Auto Login > Record Details. T ick the retrieval options you prefer then click Yes to store your details.


Options for storing login details

There are four options you can select when storing details:

  1. Fill in automatically – tick this box if you want login details to be entered automatically

  2. Require Master Password to login – tick if you want to protect your login with your master password

  3. Don’t ask me again to remember password on this site – tick if you don’t want to receive an Auto Login prompt on this site

  4. Don’t ask me again to remember password on any site - tick if you don’t want to store login details on any site


Password protecting login details

If other people have access to your computer and you don’t want them to view your login details, you can protect them with a Master Password. You choose which logins to protect with master password.

Auto Login forces you to use one master password to protect all logins, making it easier for you to remember.

  • To set your master password select Tools > Auto Login > Manage Details. A pop-up window will display asking you to set a password to protect the Login Manager. Simply specify the password you wish to use and hit OK. The Auto Login manager will then display.

  • To change your master password select Tools > Auto Login > Manage Details. Click on the 'Master Password' button, then follow the prompt to enter your new master password and click 'OK'. The Auto Login Manager will then display

Important: It is extremely important that you memorise your master password. If forgotten, there is no way of accessing/editing your existing login details. For further details on what to do if you have forgotten your password, contact our support team at support@deepnetexplorer.com.


Editing login details

If your login details change, you can edit details in a few short steps.

  • Select Tools > Auto Login > Manage Details and enter your master password. When the Auto Login Manager is open, select the line containing the details to be amended then click the Edit button. The Login Record Form should then display.

  • Website Address and Description can be changed in the first two text boxes

  • To change your login details, select the Field you want to edit from the box on the left hand side. Set the new value in the Field Value box, then hit the Close button to exit


Deleting login details

  • Select Tools > Auto Login > Manage Details and enter your master password. When the Auto Login Manager is open, select the line containing the details to be amended then click the Delete button. Click Yes to confirm you want to delete the login details.


Changing automatic login settings

Changing login settings

Auto Login can enter login details automatically when you return to a login page, or at your request. To change these settings:

  • Select Tools > Auto Login > Manage Details and enter your master password. When the Auto Login Manager is open, select the line containing the login details you wish to edit.

  • Tick the box in the Auto column if you want login details automatically, uncheck the box if you would prefer to prompt the login manager to enter details for you.


Viewing individual web-site passwords

To view the individual passwords set for different websites:

  • Select Tools > Auto Login > Manage Details and enter your master password. Tick the 'Show Password' box at the bottom left hand side of the window


Auto Form

Auto Form is a web form filler that can store your contact details so you can fill web forms in a few short clicks. You no longer have to re-type details like name, home and work address, phone numbers, email address, etc.

For security purposes, all form details are stored securely in encrypted files located on your local hard drive.


Storing form details

To setup Auto Form, you first need to enter your details in the Form manager. Different contact details are stored as unique fields, for example your “Title” and “First Name” are separate fields. To enter your details to the Form Filler, Click the Tools > Auto Form > Manage Details.

The Form Manager should now appear. Enter your personal (home) and work details then click OK.


Filling form details

To fill a form with your personal details, click Tools > Auto Form > Fill in (home) details from the menu. To fill a form with your work details, click Tools > Auto Form > Fill in (work) details from the menu.

Note:

Auto Form will only fill in your details if it recognises the form field on the web page. If a field isn’t recognised, you need to add a field manually.


Editing Form details

To update details stored in Auto Form Manager, select Tools > Auto Form > Manage Details.


Adding Field Names

If you need Auto-Form to fill a field that is not listed in the form manager then you can define your own Custom Field. Custom fields are defined by you in the Customize tab of the form manager (the rightmost tab).

To add a field name:

  1. To open the form manager click Tools > Auto Form > Manage Details.

  2. Click the New button at the bottom of the screen. The cursor will move to the description box in the “field properties” box to the right

  3. When field description has been completed, you can add another field or click OK to close the form manager

Note:

For each custom field you define field properties. The properties consist of:

  • Description: your description for the field

  • Name: the field name identified in a HTML form

  • Value: the information Auto-Form puts into a form for this field

Example

Some forms may ask for your “full name” in one field, rather than “first name” and “last name” in separate fields. To add the “Full Name” field, click New and enter the following in the properties box:

· Description: Full Name

· Name: fname (in this case, fname is the field name in the HTML form we want Auto-Form to fill)

· Value: Joe Bloggs

Click OK, and use Auto-Form to fill the “Full Name” field next time.


Specifying field names in regular expression

Deepnet Explorer allows advanced users to use regular expression when defining field names. A regular expression (RE) is a mechanism for describing patterns in text when setting up field names. An RE is made up of ordinary characters, some of which take on the special meanings described below.

Ordinary Characters

An ordinary character is an RE that matches itself. It can be any character, except <newline> and the special characters listed below. An ordinary character preceded by a backslash is treated as the ordinary character itself, except when the character is (, ), <, >, or the letters f, n, t and x, or the digits 1 through 9.

Hex Characters

Any character can be represented by its hex value. This is specified with the pattern \xdd, where dd is any 2-digit hexadecimal number, excluding zero.

Tabs

A tab character is represented by the pattern \t.

Page Breaks

A page break (form feed) character is represented by the pattern \f.

Line Breaks

A line break is represented by the pattern \n. This matches carriage return and line feed characters. Note that these cannot be combined with repetition operators (see below), so you can only match an exact number of them (e.g. \n\n will match a single blank line.) Do not use this for constraining matches to the end of a line, as it's much more efficient to use "$" (see Expression Anchoring below). This pattern should only be used to match text that spans line boundaries.

Special Characters

These special characters, can be rendered ordinary by preceding them with a backslash (\), if they are single special characters, or removing the preceding backslash if they are compound special characters.

Character | Context
. [ \ | The period, left square bracket, and backslash are special except when used in a Class Expression.
* ? + | Asterisk, question mark and plus are special except when used in a class expression, as the first character of an RE, or as the first character of a Tagged Expression.
- | The hyphen is special in a Class Expression, except as the first or last character of that expression.
^ | The circumflex is special when used as the first character of an entire RE (see Expression Anchoring), or as the first character of a Class Expression.
$ | The dollar sign is special when used as the last character of an entire RE (see Expression Anchoring).

Wildcard Character

The period (.), when used outside of a class expression, matches any character except newline.

Repetition Operators

The asterisk (*) matches zero or more occurrences of the smallest possible preceding regular expression, while the question mark (?) matches zero or one, and the plus sign (+) matches at least one occurrence. For example, A*b+ matches zero or more A's followed by one or more b's.

Interval Operator

Repeats the smallest possible preceding regular expression the given number of times. The options are:

\{count\} | Matches exactly count times.
\{min,\} | Matches at least min times.
\{min,max\} | Matches between min and max times.

Alternation Operator

The alternation operator (\|) matches either the expression to its left or the one to its right. It has a lower precedence of any other regular expression operator, so the surrounding RE's must be bracketed with \(...\) if only a part of them is to be matched.

Class Expressions

A class expression is a RE, enclosed in square brackets ([…]), that matches any one of the elements contained in the brackets. The permitted elements of a class expression are:

Simple Characters

These are single characters that match themselves. To match a right square bracket (]), it must be the first character of the class expression, after any initial circumflex (see Negated Class Expressions). To match a hyphen, it must be either the first or the last character of the class expression. For example [AaBb] matches upper or lower case A or B.

Negated Class Expressions

If the first character of a class expression is the circumflex (^), the expression matches any character not in the class. For example [^AB^] matches any character except A, B and the circumflex itself.

Range Expressions

A range expression is two characters separated by a hyphen (-). It matches any characters with code points between those of the two characters. For example, [A-Za-z0-9-] matches any upper or lower case letter or digit, or the hyphen itself. Note that [a-z] also matches upper case letters, unless the option to match case is selected.

Character Class Operators

These can be used as an alternative way of representing classes of characters. For example, [a-z] is equivalent to [[:lower:]] and [a-z0-9] is equivalent to [[:lower:][:digit:]]. (Note the extra pairs of brackets.) The defined classes are:

Expression | Description
[:alpha:] | Any letter.
[:lower:] | Any lower case letter.
[:upper:] | Any upper case letter.
[:alnum:] | Any digit or letter.
[:digit:] | Any digit.
[:xdigit:] | Any hexadecimal digit (0-9, a-f or A-F).
[:blank:] | Space or tab.
[:space:] | Space, tab, vertical tab or form feed.
[:cntrl:] | Control characters (Delete and ASCII codes less than space).
[:print:] | Printable characters, including space.
[:graph:] | Printable characters, excluding space.
[:punct:] | Anything that is not a control or alphanumeric character.
[:word:] | Letters, hypens and apostrophes.
[:token:] | Any of the characters defined on the Syntax page for the document class, or in the syntax definition file if syntax highlighting is enabled for the document class.

Expression Anchoring

An RE can be restricted to matching strings that begin or end a line or word, as follows:

^ | A circumflex as the first character of an RE anchors the expression to the beginning of the line.
$ | A dollar sign as the last character of an RE anchors the expression to the end of the line.
\< | The character pair \< anchors the next RE to the start of a word.
\> | The character pair \> anchors the previous RE to the end of a word.

Tagged Expressions

A tagged expression is an RE that starts with the pair \( and ends with the pair \). There can be up to nine such expressions in a complete RE. Such an expression matches the same as the expression without the surrounding \( and \). The first expression defined in this way can be referenced as \1 later in the RE, and so on up to \9 for the ninth tagged expression. Each such reference matches the same string as its original tagged expression. For example \(tu\) \1 matches the string "tutu".


Enabling/Disabling the Popup Blocker

The Pop-up Blocker prevents new windows that often contain ads from automatically opening when you visit a website.

  • To enable/disable the Popup Blocker click the [image] button on the status bar at the bottom of your browser window.

  • The number next to the [image] icon on your status bar indicates the number of pop ads that have been intercepted.

  • To let a pop-up through on a one-time basis, press and hold the CTRL key as you click on a link to navigate to a new page.


Keyword Navigation

Navigate to websites using everyday brand names or search terms instead of confusing web addresses. No more http:// www. or .coms necessary. Just type a brand name or everyday term into your browser address bar and hit enter. If the name has been registered as a keyword you will navigate directly to the relevant site.

Example:

Try typing ebay, amazon, expedia. It's quick and easy.


Keyboard shortcuts

To do this | Press this
Remove the selected items and copy them to the Clipboard. | CTRL+X
Copy the selected items to the Clipboard. | CTRL+C
Insert the contents of the Clipboard at the selected location. | CTRL+V
Select all items on the current Web page. | CTRL+A
Move forward through the items on a Web page, the Address bar, and the Links bar. | TAB
Move back through the items on a Web page, the Address bar, and the Links bar. | SHIFT+TAB
Go to the next page. | ALT+RIGHT ARROW
Go to the previous page. | ALT+LEFT ARROW or BACKSPACE
- Display a shortcut menu for a link. - Hide/display the status bar | SHIFT+F10
Move forward between frames. | CTRL+TAB or F6
Move back between frames | SHIFT+CTRL+TAB
Scroll toward the beginning of a document. | UP ARROW
Scroll toward the end of a document. | DOWN ARROW
Scroll toward the beginning of a document in larger increments. | PAGE UP
Scroll toward the end of a document in larger increments. | PAGE DOWN
Move to the end of a document. | END
Find on this page. | CTRL+F
Refresh the current Web page. | F5 or CTRL+R
Refresh the current Web page, even if the time stamp for the Web version and your locally stored version are the same. | CTRL+F5
Stop downloading a page | ESC
Print the current page or active frame. | CTRL+P


Menu Options

Web Browser Menu Options

File menu

  • New: opens a new browser window.

  • Open: opens local files or web pages in a browser window

  • Close: closes the active browser windows.

  • Close All: closes all opened browser windows.

  • Save As: saves content in active browser window

  • Page Setup: setup the active browser window for printing.

  • Print: prints the active browser window

  • Print Preview: previews how the active browser window will be printed.

  • Print: prints the active browser window.

  • Properties: displays the properties of the active browser window.

  • Exit: closes Avant Browser.

Edit menu

  • Cut: copies the selection in the active browser window to the clipboard and removes the selection.

  • Copy: copies the selection in the active browser window to the clipboard.

  • Paste: inserts copied items from the clipboard into the selected location of the active browser window.

  • Select All: select all items in the active browser window.

  • Find: searches text in the active browser window.

View menu

  • Toolbars

  • Standard Toolbar: shows or hides standard buttons

  • Address Bar: shows or hides the address bar

  • Applications: shows or hides the application buttons (Web/P2P/News) on the toolbar

  • Links: shows or hides the links bar

  • Favorites: displays your website favorites on the toolbar

  • Utilities: shows or hides the windows control bar

  • Customize: used to customize the buttons shown on the standard toolbar.

  • Status Bar: shows or hides the status bar

  • Explorer bar

  • History: shows or hides your browsing history in the explorer window

  • Favorites: shows or hides your favourites in the explorer window

  • Tabs and Panels:

  • Windows Tabs: shows or hides the tabs bar

  • Control Panel: shows or hides the application control panel (Web/P2P/News)

  • Stop: stops the active browser window from loading

  • Refresh: refreshes the page in the active browser window

  • Text Size: specifies the relative size of the text displayed in the browser window.

  • Encoding: specifies the character set to use for the active browser window.

  • Page Control: lets you control the type of content that loads on a web page

  • Source: displays the source (HTML code) for the active browser window.

  • Web: displays the web browser for viewing websites

  • P2P: displays the P2P browser for file sharing

  • News: shows the News browser screen

Favorites menu

  • Add to favorites: adds current page to the favorites folder you select

  • Organize favorites: opens a file manager so you can organize your favourites

  • Add Start Pages: opens the current page whenever you start up Deepnet Explorer

  • Add Link Here: adds current page to favorites folder you have selected

  • Open All Links: opens all favorites links in the list below

Tools menu

  • Customize: used to customize the buttons shown on the tabs and sidebar.

  • Internet Options: displays Internet options including home page settings, cookie storage, security settings, and your default browser settings.

  • Web Browser Options: displays options for controlling layout of your browser windows, including the search preferences, pop blocker settings and content filtering.

  • Auto Login

  • Fill Details: fill login details in the active browser

  • Record Details: record login details from the active browser

  • Manage Details: display the Auto Login Manager

  • Auto Form

  • Fill Details: fills a web form in the active browser with details stored in the form manager

  • Record Details: records details into the form manager

  • Manage Details: display the Form Manager

  • Database Tools: database tool allowing you to import a file containing your Auto Login details

  • External Applications: manager for application shortcuts

  • Components Manager: used to enable/disable components of Deepnet Explorer

Window menu

  • Windows: opens the window control screen

  • Close All: closes all opened browser windows.

Help

  • Content and Index: opens the Deepnet Explorer help guide

  • Online Support: opens the Deepnet Explorer support page

  • About Deepnet Explorer: displays information about your current version of Deepnet Explorer


Web Status Bar Options

The web status bar lets you control and monitor display of new browser windows and the Pop-up Blocker


Pop-up Blocker

The Pop-up Blocker prevents new windows that often contain ads from automatically opening when you visit a website.

  • To enable/disable the Popup Blocker click the [image] button on the status bar at the bottom of your browser window.

  • The number next to the [image] icon on your status bar indicates the number of pop ads that have been intercepted.


Window Controls

  • Open link in same window: press the [image] button to open any link in a new browser window or tab

  • Open window in background/foreground: press [image] to open new windows in the background, depress the button to open a window in the foreground.


P2P File Sharing

Deepnet Explorer is the first web browser with built-in peer-to-peer file sharing technology, enabling you to browse the web while you share and download files in the background.

Search scores of files shared by millions of other users across the Gnutella network, with high-speed downloads from multiple users, the ability to search different file formats (audio, video, and more), a built-in media player and clean interface, it’s never been easier to share files with friends.


Opening the P2P Window

To launch the P2P window, click the P2P button on the left hand sidebar


Getting Connected

When you launch the P2P window, Deepnet automatically opens the search screen, detects hosts and establishes a connection to the Gnutella network, and detects any files you are downloading or sharing. The status bar at the bottom of your search screen tells you whether you are connected, and how many files are being shared.

indicates whether a connection has been established

indicates the number of hosts/nodes you are connected with. A minimum of one host is required to share files.

tells you how many shared files are available.

As soon as you have one or more hosts (or nodes) connected and your shared files have been detected, you will have a stable connection and can start searching for files.


Searching for files


Starting your search

1. | Type a search term in the search box on the top left hand side of the browser. A search term can consist of one or more words separated by spaces.
2. | Specify the network you wish to search. The network is automatically set to P2P when you click the P2P button in the sidebar.
3. | Specify the type of file you want to find. You can search all file types, or choose between Video, Audio, Image, Application, Document and Package files.
4. | Start your search by clicking Search or hitting enter
5. | Results for each search are displayed in separate search windows/tabs. Each tab contains the term you searched, so you can scroll between results quickly and easily.


Managing your search

There are various options to use when a search is processing or has finished. The following options are available when you right click on the search tab:

Menu Option | Does this
Stop: | Stops the current search
Restart: | Restarts a search to update results
Clear: | Clears the search results window
Close: | Closes the search tab


Viewing search results

Results for each new search will be displayed in a separate window/tab. The search term is shown in the tab, while the search results will contain the following columns:

Column | Description
Rank: | Indicates the number of sources sharing the file. The longer the status bar, the more sources available, and the better the chance of downloading the file quickly. The number of sources can change after search results appear, so for best results download the file as quickly as possible.
Name: | The name of the available file. The [+] symbol next to the file indicates that the file is available from multiple IP addresses. Click [+] to view individual IP addresses.
Size: | Shows the file size measured in bytes. A file that’s 4,386,716 in size would be just under 4.4 Mb
Type: | Indicates the file format - audio, video, document, etc
Host: | The IP address or computer name of the source of the file. If an IP address is in the private IP address range, it is displayed in red. This usually means that a push download will be required to get the file.
Search result count: | The number of files (or results) that match your search


Sorting search results

To organize results by column, click the column header. The first click will list results in descending order, a second click will rearrange results in ascending order.


Multiple Searches

Deepnet Explorer’s tabbed interface makes it easy to conduct multiple searches at once. Each time you perform a new search, results are displayed in the active window while old searches load in the background. Then it’s simply a matter of clicking between tabs to view different search results.


Downloading Files


Starting a download

There are two ways to download a file from the search results screen.

  • Double-click on the song you want to download.

  • Single Right-click on the song you want to download. Choose Download from the menu options

To view download progress of the files you have selected, click the Download button on the toolbar.


Managing downloads

To manage downloads you have selected, click Download on the toolbar. The download screen shows the current status of downloads and provides a range of menu options to manage your downloads.

Menu Option | Does this
Delete: | Removes the file/s from the download list.
Stop: | Stops the file/s from downloading.
Restart: | Restarts the download of a file if it has been stopped earlier. A file will also stop downloading if the host sharing the file leaves the network.
Explorer: | This opens the directory the file partial or completed file is being stored in. This offers a fast way to access downloaded files.
Play: | Opens the file highlighted
Properties: (Right-click menu only) | Provides details of the hosts that have provided the file

Note:

The Delete, Stop, Restart, Play and Properties options are all available on the option menu displayed when you single right-click on a file.


Download info

The download screen provides information about the files you are downloading including their current download status. In this window the default columns are Name, Size, Progress, Speed, Status, Type and Host. Here you can also add extra columns by right-clicking on any column header, and choosing from the menu.

Column | Description
Name: | The name of the available file. The symbol next to the name indicates the status of the download: – File currently downloading – Download complete – Download stopped
Size: | Shows the file size measured in bytes. A file that’s 4,386,716 in size would be just under 4.4 Mb
Progress: | Tracks the progress of the file download. A file is fully downloaded when this shows 100%.
Speed: | Download speed in bits per second
Status: | This is the status of the transfer. A file with either be downloading, complete, or stopped (at the users request or because there aren’t currently any hosts sharing the file).
Type: | Indicates the file format - audio, video, document, etc.
Host: | The IP address or computer name of the source of the file. If an IP address is in the private IP address range, it is displayed in red. This usually means that a push download will be required to get the file.


Sorting downloads

To organize results by column, click the column header. The first click will list results in descending order, a second click will rearrange results in ascending order.


Opening Downloaded files

There are three ways to open a downloaded file. Start by choose from the following:

  • Highlight a file on the download screen and click the Play button on the toolbar

  • Highlight a file on the download screen, single right-click and select Play/Preview from the menu options

  • Click the Explorer button to launch Windows Explorer, which will open to the folder containing your completed downloads. Select the file from this folder.


Download Options

Deepnet Explorer saves downloaded files in the Deepnet system folder by default. To store downloaded files in a different location or change download settings select Tools > P2P Browser Options. The P2P Browser Options screen lets you set the folder storing completed downloads, and a temporary folder to partially completed downloads. When you have specified these folders, click OK.


Uploading Files

The upload window shows all file uploads that have been completed, failed, or are currently in progress or have. To view the upload window click []. Once you’ve setup a shared folder and other users have decided to search your files, they may decide to upload one of your files. The upload window then lets you control the settings of your uploads, and manage all uploads taking place.


Sharing files

The Share Downloaded files option is on by default when you first launch Deepnet Explorer. With this setting, any files you download using Deepnet are shared with other Deepnet users. You can also choose to share files in other directories. This helps to with the ongoing growth and quality of the Gnutella network.


Setting your shared folder

If you would like to share files in additional folders:

  1. Select Tools > P2P options from the system menu

  2. Click the Shared files button in the sidebar of the dialog box

  3. Click Add

  4. Select the windows folder you would like to share

  5. Tick the Share downloaded files box


Library

The Deepnet Explorer library provides a simple way to manage your downloaded and shared files. Use the library to play and manage downloaded files, manage your shared files.


Using the library to manage files

To open the library, click the Library button on the toolbar at the top of your screen. The library screen shows the folders and files which have been downloaded or are shared, and provides menu options to manage your files.

Menu Option | Does this
Share: | Indicates whether the files highlighted are being shared, and is used to either share or block access to a files. You can highlight multiple files at once to change their access settings.
Delete: | Deletes a file from the folder specified.
Explorer: | This opens the directory that the file is being stored in. This offers a fast way to access downloaded files.
Play: | Plays/opens the file


Library Info

The library screen provides information about the files you have downloaded and/or share. These files are grouped into two folders, Shared Folders and Downloaded files. The default columns on the library screen are Name, Path, Size, Timestamp, Type and Share. Here you can also add extra columns by right-clicking on any column header, and choosing from the menu.

Column | Description
Name: | The name of the file.
Path: | Shows the windows directory the file is stored in.
Size: | Shows the file size measured in bytes. A file that’s 4,386,716 in size would be just under 4.4 Mb
Timestamp: | The date and time the file was last modified.
Type: | File type (audio, video, image, documents, etc)
Share: | Indicates whether a file is being shared with other users on the Gnutella network.


Theater

Deepnet Explorer’s Theater utilizes a version of the Windows Media™ player to allow you to preview and/or play audio and video files you have downloaded, or are currently downloading. Use the theatre to listen to or view certain types of files (e.g. “.wav” “.mp3” “.mpeg”), and preview large audio and video files for suitability with regard to quality and content without the need to launch another application. A major advantage of this feature is the ability to. If a file is low quality you can easily terminate the download.


Using the theater to play media files

  • To play audio or video files, highlight the file in the download, upload, or library screens and click the Theater button on the menu.

  • The control bar at the bottom of screen has controls for Play, Stop, Forward, Fast Forward, Fast Rewind, Back and Pause similar to a CD player. When an audio file is playing the available buttons will be lit up.

  • To adjust the volume of the player, move the volume bar right (increase) or left (decrease). You can also press the mute button to turn sound on/off completely.


Console

The console screen shows the status of your Gnutella connection and displays any hosting, sharing and networks activity


Hosts

The Hosts Page displays all the hosts to which you are connected, the method of that connection (Auto, Ultrapeer, Peer, and Leaf modes) as well as allowing for input of the number for each connection type to which you may connect.


Hosts info

The host screen contains a number of columns containing information about the hosts to which you are connected. In this window the default columns are Host, Port, Version, Time, Type, In, Out, Update Time, Agent and NodeID. Here you can also show/hide columns by right-clicking on any column header, and choosing from the menu.


Manual Connections

You may manually connect to a host if you know the IP Address and Port number for that host. Click File > Browse Host and enter the address into the input box. The Disconnect/Connect button to the right will default to Connect as you begin typing. Once the address is complete, press the Connect Button and Deepnet Explorer will attempt to establish a connection to that computer.


Menu_Options2

P2P Browser Menu Options

File menu

  • Connect: connect to the Gnutella network

  • Disconnect: disconnect from the Gnutella network

  • Browse Host: connect to host manually

  • Exit: Close Deepnet Explorer and disconnect from the Gnutella network

Edit menu

  • Cut: copies the selection in the active window to the clipboard and removes the selection.

  • Copy: copies the selection in the active window to the clipboard.

  • Paste: inserts copied items from the clipboard into the selected location of the active window.

  • Select All: select all items in the active window.

View menu

  • Toolbars

  • Standard Toolbar: shows or hides standard buttons

  • Address Bar: shows or hides the address bar

  • Applications: shows or hides the application buttons (Web/P2P/News) on the toolbar

  • Links: shows or hides the links bar

  • Favorites: displays your website favorites on the toolbar

  • Utilities: shows or hides the windows control bar

  • Customize: used to customize the buttons shown on the standard toolbar.

  • Status Bar: shows or hides the status bar

  • Explorer bar

  • History: shows or hides your browsing history in the explorer window

  • Favorites: shows or hides your favourites in the explorer window

  • Tabs and Panels:

  • Windows Tabs: shows or hides the tabs bar

  • Control Panel: shows or hides the application control panel (Web/P2P/News)

  • Search: opens the search window

  • Download: open the download window to view status of downloaded files

  • Upload: displays the upload window and files being shared

  • Library: shows the library screen to manage downloaded/shared files

  • Theater: shows the Deepnet explorer media player

  • Console: shows the console display

  • Hosts: displays all hosts you are connected with

  • Web: shows the web browser screen

  • P2P: shows the P2P browser screen

  • News: shows the News browser screen

Tools menu

  • Customize: used to customize the buttons shown on the tabs and sidebar.

  • P2P options: opens the options menu where allowing you to select the location for downloaded files, shared files, and network connection settings.

  • External Applications: manager for application shortcuts

  • Components Manager: used to enable/disable components of Deepnet Explorer

Window menu

  • The window menu also lets you scroll between different search result windows.

Help

  • Content and Index: opens the Deepnet Explorer help guide

  • Online Support: opens the Deepnet Explorer support page

  • About Deepnet Explorer: displays information about your current version of Deepnet Explorer


Introducing the news browser

The News Browser brings all the latest news to you in one place. Rather than constantly visiting your favourite news sites each day, simply subscribe to the RSS feeds of their sites and let News Reader compile and display all the latest news on one screen. It's the easy way to keep up-to-date with all the latest news.


Opening the News Browser

To launch the News Browser click the News button on the left hand sidebar


Setting up news

Adding RSS news feeds

To add an RSS news feed to your News reader:

  1. Look for the [image] or [image] feed icons on news pages of websites, for example Yahoo! news. Move your mouse cursor over the above icon on your chosen website and click the right mouse button, then choose "Copy Shortcut".

  2. Click the News button on your sidebar or toolbar, then click the Subscribe on the news browser toolbar.

  3. Select Enter the URL of news feed if you want add a feed manually , hit next then paste (CTRL V or click right mouse button and select paste) the URL and press Next.

  4. Select the news group the feed will be added to and click Next (you can group feed into custom categories, simply click next if you haven't set up groups).

  5. Click Finish to add the feed

Add as many news feeds to this free RSS reader as you want, so you can view all the latest news in the one place.

Note

  • Each time you subscribe to news feeds, the feed link is stored in your OPML file. If you have used a different news reader in the past, you can import the OPML file and instantly list your feeds in Deepnet.


Searching for RSS feeds

Finding an RSS feed

To find an RSS feed you can:

  • obtain a news feed on a news website

  • use the newsfeed search engine

  • use a newsfeed directory

To find an RSS feed using a newsfeed search engine:

  • click the Subscribe on the news browser toolbar.

  • select Search for a news channel, enter the search term describing the feed you are seeking and click Next.

  • select the newsfeed (channel) you want to subscribe to and hit Next.

  • select the news group the feed will be added to and click Next (you can group feed into custom categories, simply click next if you haven't set up groups).

  • click Finish to add the feed.

To find an RSS feed using a directory:

  • click the Subscribe on the news browser toolbar.

  • click on the option to Browse a newsfeed directory, then enter the URL of the directory or choose from the directory provided and click Next.

  • select the newsfeed (channel) you want to subscribe to and hit Next.

  • select the news group the feed will be added to and click Next (you can group feed into custom categories, simply click next if you haven't set up groups).

  • click Finish to add the feed.


Updating news feeds

When you first install Deepnet Explorer, the news browser will automatically check for latest news every 60 minutes. You can also manually check for updated news two ways:

Update all feeds:

To update all news feeds:

  • Click the Update button on your toolbar; or

  • Click the News Feeds folder in the feed list to the left of screen, right click your mouse and select Update All.

Update a specific feed:

To update news from a single feed:

  • Select the feed you want to update from the feed list on the left of screen, right click your mouse and select Update; or

  • Select the feed you want to update from the feed list on the left of screen, click the arrow on the toolbar's Update button and select Update Selected from the menu.


Finding news

Searching for a news article

News browser has a built in search facility enabling you to search an articles containing specific keywords. Search the titles, summaries or entire contents of articles from your news sources. To search for an particular news article:

  1. Click the Find button on the toolbar.

  2. Enter you search term in the Find what box.

  3. Select the content or Field you wish to search from the drop down menu

  • All: search entire contents of articles

  • News Title: only search contents in news titles

  • News Summary: only search contents in news summaries

  4. Define the Scope of your search, selecting one of the following from the drop down menu

  • Entire Database: search articles in all news groups and channels

  • Current Group: search articles in a specific group

  • Current Channel: search articles in a specific channel

  5. Click Find to display all news articles that match your search


Grouping channels

Sorting feeds into groups

To help monitor news you can group feeds that relate to similar topics or areas of interest.

  • To create a news group click on a folder in the feed list (left side) and right-click your mouse button. Select New Group from the menu, enter the title for your group and click OK.

  • To move a feed into a news group, first click on the feed you wish to move then right click your mouse cursor. Select move from the menu, then choose the destination group for the feed and click OK.

  • To delete a news group click on the group you wish to remove, right-click your mouse cursor. the select Delete All from the menu.


Archiving News

To prevent old news items being deleted over time, you can Mark an item as archived.

  • To archive a news item right-click your mouse while hovering over the news item you want to archive, then select Mark as Archived from the menu. An disc icon will display next to the news item to indicate it has been archived.

  • To remove a news item from the archive right-click your mouse while hovering over the news item you want to remove then select Mark as Unarchived from the menu.


Importing existing feeds

Importing news channels

  • To import a news feeds, or file containing a list of your feeds, click File > Import Channels and follow the prompt.

  • To export your list of news feeds for use on another computer, click File > Export Channels and follow the prompt.


Changing view

Display options

There are two display options available when viewing news items, Headlines and Newspaper. The Headlines view shows a list containing news headlines above a preview pane displaying a summary of the news headline you click on. The Newspaper view shows the headline with summary for each news item.

To view news items in Headlines format:

  • Select View > Headlines from the browser menu; or

  • Right-click the news feed list and select View Headlines from the menu

To view news items in Newspaper format:

  • Select View > Newspaper from the browser menu; or

  • Right-click the news feed list and select View Newspaper from the menu


Menu_Options3

Menu Options

File menu

  • New:

  • New Group: creates a new group to manage news feeds

  • New Channel: adds a new channel or news feed

  • Import Channels: imports news feeds from the source specified

  • Export Channels: exports your current news feeds in an OPML file for use on another PC with Deepnet Explorer installed.

Edit menu

  • Cut: copies the selection in the active browser window to the clipboard and removes the selection.

  • Copy: copies the selection in the active browser window to the clipboard.

  • Paste: inserts copied items from the clipboard into the selected location of the active browser window.

  • Find: searches text in the active browser window.

View menu

  • Toolbars

  • Standard Toolbar: shows or hides standard buttons

  • Address Bar: shows or hides the address bar

  • Applications: shows or hides the application buttons (Web/P2P/News) on the toolbar

  • Links: shows or hides the links bar

  • Favorites: displays your website favorites on the toolbar

  • Utilities: shows or hides the windows control bar

  • Customize: used to customize the buttons shown on the standard toolbar.

  • Status Bar: shows or hides the status bar

  • Explorer bar

  • History: shows or hides your browsing history in the explorer window

  • Favorites: shows or hides your favourites in the explorer window

  • Tabs and Panels:

  • Windows Tabs: shows or hides the tabs bar

  • Control Panel: shows or hides the application control panel (Web/P2P/News)

  • Headlines

  • Newspaper

  • Web: displays the Web Browser for viewing websites

  • P2P: displays the P2P Browser for file sharing

  • News: shows the News Browser screen

Tools menu

  • Customize: used to customize the buttons shown on the tabs and sidebar.

  • Internet Options: used to change News Browser options including type of prompt when news items are received, and settings for auto-updating feeds and auto-deleting old news items.

  • External Tools: external tools manager

  • Components Manager: used to enable/disable components of Deepnet Explorer

Window menu

  • Windows: opens the window control screen

  • Close All: closes all opened browser windows.

Help

  • Content and Index: opens the Deepnet Explorer help guide

  • Online Support: opens the Deepnet Explorer support page

  • About Deepnet Explorer: displays information about your current version of Deepnet Explorer


Installation and Setup


Installing Deepnet Explorer

You can install Deepnet Explorer various ways:

  • Click the download link at www.deepnetexplorer.com. A dialog box will display asking you to open the file or save it locally on your computer. To launch the installer automatically Open. If you would prefer to save the installation file locally, click Save and select the folder you’d like to store the file in.

  • If this doesn’t work, click the Download link on the navigation menu to view the download page, and follow the instructions provided.


Uninstalling Deepnet Explorer

To uninstall Deepnet Explorer correctly, we strongly recommend using the uninstaller provided and rebooting your machine when prompted. There are two ways to run the Deepnet Explorer uninstaller.

  • From the start menu select Programs > Deepnet Explorer > Uninstall Deepnet Explorer.

  • From the start menu select Settings > Control Panel > Add/Remove Programs. Select Deepnet Explorer from the list and click uninstall.

Note

If you experience any difficulties uninstalling Deepnet Explorer, please contact our support team at support@deepnetexplorer.com


System Requirements

Operating Systems Supported

  • Windows 98

  • Windows NT, Internet Explorer 4.0 or higher, Service Pack 4 and above

  • Windows 2000

  • Windows Millenium Edition

  • Windows XP

Disk Space

  • 10 megabytes of free disk space for the Deepnet Explorer program and its support files

  • As much free disk space as necessary to save downloaded files

  • Space for your shared files, if any

Memory

  • 64 megabytes minimum

  • A 166MHz Pentium class CPU or higher is required

Network

  • You must have an Internet connection to search, download, and share files on the Internet.

  • If you are behind a firewall, or your Internet Service Provider does not allow your computer to receive incoming connections, you may experience problems sharing your files, and you may not be able to download files from other users who are also behind firewalls.

  • Deepnet Explorer also works on a local area network, provided you have at least two computers with connected networking hardware. To operate in this mode, it is necessary to know the IP address of the computer on your local area network you wish to connect to.

  • You are not required to share files to participate with Deepnet Explorer.


Connect/Accept Check Boxes

Connect The Connect Check Box, when checked, allows Deepnet Explorer to accept incoming connections (Accept is selected by default when Connect is checked) to satisfy the host connection requirements specified by the values entered in the Ultrapeers, Peers and Leaves boxes. This box should be checked when starting Deepnet Explorer or you will not be connected to the network.

Accept This check box allows Deepnet Explorer to accept incoming host connections and is selected by default.